OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_IntParam Class Reference

This class simply allows to access an Integer value through a
Handle, as a String can be (by using HString).
Hence, this value can be accessed : read and modified, without
passing through the specific object which detains it. Thus,
parameters of a Selection or a Dispatch (according its type)
can be controlled directly from the ShareOut which contains them
Additionnaly, an IntParam can be bound to a Static.
Remember that for a String, binding is immediate, because the
string value of a Static is a HAsciiString, it then suffices
to get its Handle.
For an Integer, an IntParam can designate (by its name) a
Static : each time its value is required or set, the Static
is aknowledged
.

`#include <IFSelect_IntParam.hxx>`

## Public Member Functions
Standard_EXPORT | IFSelect_IntParam ()
| Creates an IntParam. Initial value is set to zer .
Standard_EXPORT void | SetStaticName (const Standard_CString statname)
| Commands this IntParam to be bound to a Static Hence, Value will return the value if this Static if it is set Else, Value works on the locally stored value SetValue also will set the value of the Static This works only for a present static of type integer or enum Else, it is ignored If <statname> is empty, disconnects the IntParam from Static .
Standard_EXPORT Standard_CString | StaticName () const
| Returns the name of static parameter to which this IntParam is bound, empty if none .
Standard_EXPORT Standard_Integer | Value () const
| Reads Integer Value of the IntParam. If a StaticName is defined and the Static is set, looks in priority the value of the static .
Standard_EXPORT void | SetValue (const Standard_Integer val)
| Sets a new Integer Value for the IntParam. If a StaticName is defined and the Static is set, also sets the value of the static .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | theval
TCollection_AsciiString | thestn

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_IntParam::IFSelect_IntParam | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_IntParam::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IFSelect_IntParam::SetStaticName | ( | const Standard_CString | statname | ) |

Standard_EXPORT void IFSelect_IntParam::SetValue | ( | const Standard_Integer | val | ) |

Standard_EXPORT Standard_CString IFSelect_IntParam::StaticName | ( |  | ) | const

Standard_EXPORT Standard_Integer IFSelect_IntParam::Value | ( |  | ) | const

## Field Documentation

TCollection_AsciiString IFSelect_IntParam::thestn`[private]`

Standard_Integer IFSelect_IntParam::theval`[private]`

The documentation for this class was generated from the following file:

- IFSelect_IntParam.hxx